# norootforbuild
%define pkg_name    expect
%define pkg_version 0.3.1
%define php_version %(php-config --version 2>/dev/null)
#
Name:		php5-expect
Version:	%{pkg_version}
Release:	8.1
#
License:	PHP
Group:		Productivity/Networking/Web/Servers
#
BuildRoot:	%{_tmppath}/%{pkg_name}-%{version}-build
BuildRequires:	php5-devel
BuildRequires:	expect >= 5.43.0
BuildRequires:	expect-devel >= 5.43.0
BuildRequires:	gcc
BuildRequires:	gcc-c++
BuildRequires:	tcl-devel
Requires:	php5 = %{php_version}
#
URL:		http://pecl.php.net/
Source:		http://pecl.php.net/package/%{pkg_name}/%{pkg_name}-%{version}.tgz
Patch0:		expect-x86_64.patch
Summary:	Expect extension

%description
This extension allows to interact with processes through PTY, using expect library.

Authors:
---------

		Michael Spector

%debug_package

%prep
%setup -n %{pkg_name}-%{version}
%patch0

%{__mkdir} %{name}

%build
/usr/bin/phpize
pushd %{name}

CFLAGS="%{optflags} -fno-strict-aliasing"
CXXFLAGS="%{optflags} -fno-strict-aliasing"
%if 0%{?suse_version} > 1000
CFLAGS="$CFLAGS -fstack-protector"
CXXFLAGS="$CXXFLAGS -fstack-protector"
%endif

export CFLAGS
export CXXFLAGS
export LDFLAGS="-L%{_libdir}"

../configure --with-expect=%{_usr} --with-tcldir=%{_libdir}

%{__make} %{?jobs:-j%jobs}
popd

%install
%makeinstall -C %{name} INSTALL_ROOT=%{buildroot}
%{__mkdir} -p %{buildroot}%{_sysconfdir}/php5/conf.d
echo "; comment out next line to disable expect extension in php" > %{buildroot}%{_sysconfdir}/php5/conf.d/expect.ini
echo "extension = expect.so" >> %{buildroot}%{_sysconfdir}/php5/conf.d/expect.ini


%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/php5/extensions/expect.so
%config(noreplace) %{_sysconfdir}/php5/conf.d/expect.ini

%changelog
* Sat Jan 26 2013 cs@linux-administrator.com
- initial package
